“Please open this page in the Admin panel only” cosa significa e come correggere

“Please open this page in the Admin panel only” cosa significa e come correggere

Descrizione del bug

Notizia flash per tutti coloro che usano wordpress: l’aggiornamento alla versione 2.1 del plugin Google Analytics Dashboard provoca attualmente l’errore:

Please open this page in the Admin panel only

su tutte le pagine, sia da utenti anonimi che da loggati. Si tratta in sostanza di un bug recentemente risolto nella Google Analytics Dashboard di WP. Un fix temporaneo dell’errore, in caso non si potesse aggiornare, è possibile commentando la riga 34 del file:

wp-content/plugins/google-analytics-dashboard/gad-admin-options.php

Questo bug può rendere del tutto inaccessibile l’intero sito, un bug quindi piuttosto corposo, che può rendere inutilizzabile il vostro sito per intero, e per il quale è opportuno disattivare il plugin fino al successivo aggiornamento (versioni successive alla 2.1). Se si sceglie di disinstallare il tutto, attenzione a rimuovere anche eventuali widget che usano Google Analytics (come quello che mostra i post più letti del periodo) che altrimenti smetterebbero di funzionare.

Versione minima consigliata di Google Analytics Dashboard

Aggiornamento 30 luglio: l’upgrade versione 2.1.1 è corretta e funziona, per cui può essere nuovamente utilizzata.

(fonte: forum di WP)

Photo by mugley

0 voti


Informazioni sull'autore

Salvatore Capolupo

Consulente SEO, ingegnere informatico e fondatore di Trovalost.it, Pagare.online, Lipercubo.it e tanti altri. Di solito passo inosservato e non ne approfitto.